pkgsrc/sysutils/amanda-client/patches/patch-ai
gdt b4036ff68a Update to 2.5.2p1, provided by Nick Goffee of BBN.
[bugfixes and minor improvements omitted; see NEWS]

Changes in release 2.5.2

   * krb5 auth is working
   * Works with IPv6 address
   * Amanda configuration file changes
         o amanda.conf changes
               + debugging is enabled in the config file
                 see all debug_* config option
               + tapetype 'readblocksize', if maxtapeblocksize is set too
                 larger for your hardware
   * Amanda command changes
         o amadmin: new 'holding list' and 'holding delete' subcommand.

Changes in release 2.5.1p3

   * Works with tar-1.16 and exit status of 1.

Changes in release 2.5.1p2

   * amoverview is working
   * dumptype starttime is working

   * Amanda command changes
         o amtape accept the -o arguments
         o amgetconf --list to list all tapetype, dumptype, holdingdisk
           or interface
         o amgetconf can return a value of a specific tapetype, dumptype,
           holdingdisk or interface

Changes in release 2.5.1p1

   * Remove contrib/sst.

Changes in release 2.5.1

   * Defects found by Coverity scan and Klocwork K7 analysis tools fixed.
   * Works with GNU tar 1.15.91 - work with new gtar state file format.
   * Open SSL encryption support
   * Two new authentication methods: bsdtcp, bsdudp.
   * Unlimited number of DLEs on a client with bsdtcp, rsh and ssh
     authentication methods.
   * Recovery process amrecover uses Secure API. amoldrecover command
     (same syntax and functionality as amrecover command) is provided for
     compatibility with old Amanda releases. amoldrecover command uses old
     amidxtaped/amindexd protocol.
   * Amanda debug files are separated into client/server/amandad and
     are also classified based on Amanda configuration name.

   * Amanda command changes
         o amfetchdump -o is replaced by -O.
         o amcheck -w option does all tests including the tape writable test.
           Use amcheck -t -w to do only the tape writable test.
         o -o command option to override Amanda configuration. See amanda man
           page for details.
         o amgetconf command doesn't write the BUGGY message when a entry
           is not found in the configuration file.

   * Amanda configuration file changes
         o amanda.conf changes
               + amrecover_do_fsf in amanda.conf defaults to yes
               + amrecover_check_label in amanda.conf defaults to yes
               + usetimestamps in amanda.conf to support multiple
                 backup runs in a calendar day.
               + holdingdisk in amanda.conf supports new values:
                 NEVER, AUTO, REQUIRED.
               + amandad_path, client_username and ssh_keys in
                 amanda.conf for ssh/rsh authentication.
         o New amanda client configuration file - amanda-client.conf.
           Different client configuration file can be used for each Amanda
           configuration.
               + gnutar_list-dir and amandates can be specified in
                 Amanda client configuration file - amanda-client.conf
         o .amandahosts format changes to allow use of secure API for recovery.
         o Amanda service entries in xinetd configuration has changed.

Changes in release 2.5.0p1

* Add the 'amtape update' command.

Changes in release 2.5.0

* Communication security/authentication: Kerberos 4/5, OpenSSH
* Data security: Symmetric/Assymetric encrytion algorithms (aesutil
  and gpg encryption),  Encryption can be done on server or client,
  Custom encryption utilities can be used.
* Compression: Ability to add custom compression tools. This is a
  really useful feature especially since it can specified for a DLE.  You
  can use different compression algorithm for images, binaries, ascii files
  and so on.
* Dump images spanning multiple media volumes - Dump images are no
  longer restricted to a single media volume (tape or vtape).  Data restoration
  can be done using amrecover and amfetchdump commands.
* Auto tape labelling - This optional feature is good for disk backups.

Change in release 2.4.5

* new displayunit global option to select the unit use to display number
  k=kilo, m=mega, g=giga, t=tera.
* new amoverview -skipmissed option.

Change in release 2.4.5b1

* holding disk disk use timestamped directory.
* autoflush flush today's dump.
* new bumppercent global option, this should improve bumping criteria,
  the bumpsize is set to a fixed value which can be adequate for small
  and large disk.
* bumpsize, bumppercent, bumpdays and bumpmult can be in a dumptype.
* calcsize support include and exclude like gnutar.
* new 'estimate' dumptype option to select estimate type:
    CLIENT: estimate by the dumping program.
    CALCSIZE: estimate by the calcsize program, a lot faster but less acurate.
    SERVER: estimate based on statistic from previous run, take second but
            can be wrong on the estimate size.
2008-02-15 16:23:09 +00:00

106 lines
3.5 KiB
Text

$NetBSD: patch-ai,v 1.2 2008/02/15 16:23:09 gdt Exp $
--- configure.orig 2007-06-06 19:22:45.000000000 -0400
+++ configure
@@ -1119,6 +1119,7 @@ Optional Packages:
--with-testing[=suffix] use alternate service names
--with-gnuplot=PATH use gnuplot executable at PATH in amplot
--with-dump-honor-nodump if dump supports -h, use it for level0s too
+ --with-dump-use-snapshot if dump supports -X, use it
--with-gnu-ld assume the C compiler uses GNU ld [default=no]
--with-pic try to use only PIC/non-PIC objects [default=use
both]
@@ -13538,7 +13539,10 @@ echo $ECHO_N "checking SSH options... $E
# now convert that to a comma-separated list of C strings
eval "set dummy ${SSH_OPTIONS}"; shift
SSH_OPTIONS=''
- for i in "${@}"; do SSH_OPTIONS="${SSH_OPTIONS}${SSH_OPTIONS:+, }\"${i/\"/\\\"}\""; done
+ for i in "${@}"; do
+ quoted="\"`echo "$i" | sed -e 's/\"/\\\"/'`\""
+ SSH_OPTIONS="${SSH_OPTIONS}${SSH_OPTIONS:+, }$quoted";
+ done
echo "$as_me:$LINENO: result: $SSH_OPTIONS" >&5
echo "${ECHO_T}$SSH_OPTIONS" >&6
@@ -18808,6 +18812,72 @@ _ACEOF
fi
fi;
+
+# Check whether --with-dump-use-snapshot or --without-dump-use-snapshot was given.
+if test "${with_dump_use_snapshot+set}" = set; then
+ withval="$with_dump_use_snapshot"
+ if test -x $DUMP; then
+ echo "$as_me:$LINENO: checking whether $DUMP supports -X (use filesystem snapshot)" >&5
+echo $ECHO_N "checking whether $DUMP supports -X (use filesystem snapshot)... $ECHO_C" >&6
+if test "${amanda_cv_use_snapshot+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+ case "$DUMP" in
+ *dump)
+ { ac_try='$DUMP 9Xf /dev/null /dev/null/invalid/fs 2>&1
+ | $GREP -v Dumping
+ | $GREP -v Date
+ | $GREP -v Label >conftest.d-x 2>&1'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }
+ cat conftest.d-x >&5
+ { ac_try='$DUMP 9f /dev/null /dev/null/invalid/fs 2>&1
+ | $GREP -v Dumping
+ | $GREP -v Date
+ | $GREP -v Label >conftest.d 2>&1'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }
+ cat conftest.d >&5
+ if { ac_try='diff conftest.d-x conftest.d 1>&2'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ amanda_cv_use_snapshot=yes
+ else
+ amanda_cv_use_snapshot=no
+ fi
+ rm -f conftest.d conftest.d-x
+ ;;
+ *) amanda_cv_use_snapshot=no
+ ;;
+ esac
+
+fi
+echo "$as_me:$LINENO: result: $amanda_cv_use_snapshot" >&5
+echo "${ECHO_T}$amanda_cv_use_snapshot" >&6
+ else
+ { echo "$as_me:$LINENO: WARNING: *** $DUMP is not executable, cannot run -X test" >&5
+echo "$as_me: WARNING: *** $DUMP is not executable, cannot run -X test" >&2;}
+ amanda_cv_use_snapshot=no
+ fi
+ if test "$amanda_cv_use_snapshot" = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_DUMP_SNAPSHOT 1
+_ACEOF
+
+ fi
+
+fi;
fi
for ac_prog in xfsdump
@@ -62491,7 +62561,7 @@ fi;
# Check whether --with-xsltproc-flags or --without-xsltproc-flags was given.
if test "${with_xsltproc_flags+set}" = set; then
withval="$with_xsltproc_flags"
- if test "x$withval" == "xno"; then
+ if test "x$withval" = "xno"; then
XSLTPROC_FLAGS=''
else
if test "x$withval" != "xyes"; then